import _ from 'lodash';

const setMaterialForms = (formContainer) => {
  const formControl = formContainer.querySelectorAll('.form-control');

  _.forEach(formControl, el => {
    var elNode = el;

    if(elNode.value != '') {
      elNode.classList.add('has-value');
    } else {
      elNode.classList.remove('has-value');
    }

    elNode.addEventListener('focusout', (evt) => {
      var el = evt.target;

      if(el.value != '') {
        el.classList.add('has-value');
      } else {
        el.classList.remove('has-value');
      }
    });
  });
}

export { setMaterialForms };
